Role

List a specific role

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

One of Daylite's most powerful features is the relating of objects to one another. These relationships exist in the form of roles. Roles are intermediate objects which represent and store context about the relationships between major objects.

Attributes

Attribute NameTypeDescriptionAttributes
selfreferenceThe URL of the Role
titlestringThe title of the related entity, as defined by the related entity (i.e. their job title).Read-Write
Nullable
departmentstringThe name of the department for the role.Read-Write
Nullable
contactreferenceThe URL of the ContactRead-Write
Nullable
companyreferenceThe URL of the CompanyRead-Write
Nullable
opportunityreferenceThe URL of the OpportunityRead-Write
Nullable
projectreferenceThe URL of the ProjectRead-Write
Nullable
rolestringThe role of the related entity, as defined by the user.Read-Write
Non-null
typereferenceThe URL of the Role TypeRead-Write
Non-null
create_datedatetimeDate the Role was createdRead-only
Non-null
trashedbooleanIs the item in the trashRead-Write
Non-null
🚧

Department

The department attribute is only applicable to roles between Contact and Company entities.

The following table outlines the ways in which the various objects may be related to one another using roles.

Role instances are described on major objects as collections of related major objects. In the following example, a role is configured to relate one contact to two companies.

{
  "self": "/v1/contacts/1000",
  "first_name": "Stephanie",
  "companies": [
    {
      "title": "Interim CEO",
      "role": "Decision Maker",
      "department": "Executive",
      "company": "/v1/companies/1000"
    },
    {
      "role": "Advisor",
      "department": "The Board",
      "company": "/v1/companies/2000"
    }
  ]
}

As can be seen in the above example, roles between objects are established by providing collections of existing object references and associated fields, grouped by related object type. The inverse of the role shown above might appear as follows.

[
  {
    "self": "/v1/companies/1000",
    "name": "Rottweiler Food Corp.",
    "contacts": [
      {
        "title": "Interim CEO",
        "role": "Decision Maker",
        "department": "Executive",
        "contact": "/v1/contacts/1000"
      }
    ]
  },
  {
    "self": "/v1/companies/2000",
    "name": "Poodle Groomers Inc.",
    "contacts": [
      {
        "role": "Advisor",
        "department": "The Board",
        "contact": "/v1/contacts/1000"
      }
    ]
  }
]
📘

Role Keys

Each relatable entity has a separate collection for roles (i.e. "contacts", "companies", "opportunities", "projects"). Note that the collection uses the plural form of the entity name as the object key, while the role itself uses the singular form of the entity name.

Path Params
string
required

Identifier of a role

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json